Bug 9667 - [S60] ResolveLinkL callback never called
Summary: [S60] ResolveLinkL callback never called
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit API (show other bugs)
Version: 420+
Hardware: S60 Emulator S60 3rd edition
: P2 Normal
Assignee: Nobody
URL:
Keywords: PlatformOnly
Depends on:
Blocks:
 
Reported: 2006-06-30 06:39 PDT by Brian Phillips
Modified: 2011-03-21 11:52 PDT (History)
2 users (show)

See Also:


Attachments
Files: WebKitLoader.cpp, BufferTransaction.h, BufferTransaction.cpp (7.42 KB, patch)
2006-08-02 15:12 PDT, Joseph Ligman
yongjun.zhang: review-
Details | Formatted Diff | Diff
Files: WebKitLoader.cpp, BufferTransaction.h, BufferTransaction.cpp (7.51 KB, patch)
2006-08-02 16:10 PDT, Joseph Ligman
yongjun.zhang: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Phillips 2006-06-30 06:39:13 PDT
Problem:
ClientResolveURL flag is never being set to true, so the ResolveLinkL call back never happens for resolving urls when the client is using the MBrCtlLinkResolver interface.

Expected Behavior:
Should recieve call back to ResolveLinkL and ResolveEmbeddedLinkL when the MBrCtlLinkResolver interface is used and a link is clicked in the browser.

Version:
Not sure what version, it was a build I did myself off of pretty recent code (maybe a week old max from today June 30th.)  David.Carson at nokia.com was able to confirm the bug.
Comment 1 Krishna 2006-06-30 08:06:40 PDT
Confirmed the status as NEW as David Carson was acknowledged the issue.
Comment 2 Joseph Ligman 2006-08-02 15:12:34 PDT
Created attachment 9836 [details]
Files: WebKitLoader.cpp, BufferTransaction.h, BufferTransaction.cpp

The SetClientResolvesUrl setting was not set when pages were loaded.
If the ResolveLinkL callback failed to handle the link the transaction a crash occured
Comment 3 Yongjun Zhang 2006-08-02 15:23:54 PDT
Comment on attachment 9836 [details]
Files: WebKitLoader.cpp, BufferTransaction.h, BufferTransaction.cpp

1. CancelTransaction() is an callback function, please rename it as CancelTransactioCB().  2. please remove replacing the tabs with blanks, otherwise svn will not accept the patch.
Comment 4 Joseph Ligman 2006-08-02 16:10:27 PDT
Created attachment 9838 [details]
Files: WebKitLoader.cpp, BufferTransaction.h, BufferTransaction.cpp

In TSW Bug ID: VKRR-6PH9VQ 
Changed callback function name to CancelTransactionCB
Removed tabs

Test Case: (source in TSW)
1) Copy the html files to <SDK_Installation drive>:\epoc32\WINSCW\C
2) Compile the application in CodeWarrior
3) Add a break point to the function CProto1BCContainer::ResolveLinkL in the file Proto1BCContainer.cpp
4) Complie and debug the application
5) The application can be found in installed folder\Proto1-1st
6) Upon invokation, the application will show a embedded html page.
7) Click any one of the links
Comment 5 Yongjun Zhang 2006-08-02 16:18:40 PDT
Comment on attachment 9838 [details]
Files: WebKitLoader.cpp, BufferTransaction.h, BufferTransaction.cpp

r=me
Comment 6 Bradley Morrison 2006-08-03 12:47:43 PDT
Applied, r15778.
Comment 7 Krishna 2006-08-07 08:11:52 PDT
Closed
Comment 8 Joel Parks 2011-03-21 11:52:20 PDT
re-purposing InTSW keyword for use by QtWebkit team